Class | Merb::Worker
In: | lib/merb-core/dispatch/worker.rb
Parent: | Object

### Methods

alive? new process_queue restart start started?

### Attributes

thread | [RW] | :api: private

### Public Class methods

alive?()

#### Returns

Whether the Merb::Worker instance thread is alive

:api: private

new()

Creates a new worker thread that loops over the work queue.

:api: private

restart()

restarts the worker thread

#### Returns

Merb::Worker: | instance of a worker.

:api: private

start()

#### Returns

Merb::Worker: | instance of a worker.

:api: private

started?()

#### Returns

Whether the Merb::Worker instance is already started.

:api: private

### Public Instance methods

process_queue()

Processes tasks in the Merb::Dispatcher.work_queue.

:api: private

[Validate]